Skip to main content
GET
/
payment-links
List payment links
curl --request GET \
  --url https://api.billing.io/v1/payment-links \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pl_1a2b3c4d5e",
      "org_id": "<string>",
      "amount_usd": 123,
      "payment_method_id": "<string>",
      "description": "<string>",
      "url": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
List all payment links for your organization.
curl "https://api.billing.io/v1/payment-links?limit=10" \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Query Parameters

cursor
string

Opaque cursor for pagination. Omit for the first page.

limit
integer
default:25

Number of items per page.

Required range: 1 <= x <= 100

Response

Payment link list

data
object[]
has_more
boolean
next_cursor
string | null